extends ../layouts/navbar
include ../components/successerrorbox

block content
    h1= `Feedback Detail` 

    +successerror(sucmsg, '')

    div#inlinepotato
    
     button.btn.btn-secondary(type='button' onclick='goBack()')#btnPrevQn #[i.far.fa-chevron-left] &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Back

    br
    table.table.feedbackDetailTable
        tbody.feedbackDetailTable
            tr.feedbackDetailTable
                th.feedbackDetailTable Name
                td.feedbackDetailTable #{fullname}
            tr.feedbackDetailTable
                th.feedbackDetailTable Quiz
                td.feedbackDetailTable #{quizname}
            tr.feedbackDetailTable
                th.feedbackDetailTable Rating
                td#rating.feedbackDetailTable #{rating}
            tr.feedbackDetailTable
                th.feedbackDetailTable Feedback
                td.feedbackDetailTable #{feedback}


    include ../meta/datatables
    include ../meta/momentjs

    script.
        $( document).ready(function() {
           var rating = $("#rating").html();
           switch(rating) {
            case '1':
            $("#rating").html("⭐");
            break;
            case '2':
            $("#rating").html("⭐⭐");
            break;
            case '3':
            $("#rating").html("⭐⭐⭐");
            break;
            case '4':
            $("#rating").html("⭐⭐⭐⭐");
            break;
            case '5':
            $("#rating").html("⭐⭐⭐⭐⭐");
            break;
            default:
            $("#rating").html(rating);
            }       
        });

        function goBack() {
            window.history.back();
            }
   